Bug 10972 - <Realm> without className in server.xml produces NullPointerException
<Realm> without className in server.xml produces NullPointerException
Status: RESOLVED FIXED
Product: Tomcat 4
Classification: Unclassified
Component: Catalina
4.0 Beta 1
PC Linux
: P3 enhancement with 3 votes (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2002-07-19 02:30 UTC by Willis Boyce
Modified: 2010-12-15 12:58 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Willis Boyce 2002-07-19 02:30:07 UTC
If the className attribute is not included with the <Realm> tag in server.xml, 
the server dies with a cryptic NullPointerException.  It would be nice if it 
produced a more meaningful error message (like "Missing className attribute for 
<Realm> tag").
Comment 1 Mark Thomas 2003-12-27 21:03:09 UTC
Agreed, a more meaningful error message would be nice. However, this is an 
enhancement request.
Comment 2 Jeff Whidby 2004-12-13 10:21:30 UTC
Note that this bug affects you if you accidently spell className classname, so
it can be pretty difficult to find.
Comment 3 Mark Thomas 2010-12-15 12:58:14 UTC
This has been fixed in 7.0.5 and will be included in 7.0.6 onwards.